[HOME] [DOWNLOAD] [DOCS] [NEWS] [SUPPORT] [TIPS] [ISSUES] [CONTRIBUTE] [DONATE]

AppArmor causes Whonix-Update-Problems

Hello there
I´m not sure whether this is the right category for the problem I´ve found.
I’m a Qubes-OS user with whonix and I noticed a problem with whonix-workstation-15 that I want to report.

A few days ago I installed AppArmor on both whonix-gw-15 and whonix-ws-15 and set a number of profiles to Enforce mode.

Yesterday I was shown a new update in the torbrowser that I wanted to install over whonix-ws-15.

Thereby the known error message with apt-get-code 125 appeared, which was already reported here in the forum.

I had tried to fix the error following this tip, which didn’t succeed despite several attempts (I think the code is no longer compatible with the current Whonix version and would have to be adapted).

I got the idea that this might be related to the installation or some enabled profiles of AppArmor. I then put all profiles into complain mode in whonix-ws-15:

sudo aa-complain /etc/apparmor.d/*.

Then I restarted whonix-ws-15 and the error was fixed. The system check was ok and the Tor browser update worked.

Then I put the profiles back into enforce mode and also restarted whonix-ws-15:

sudo aa-enforce /etc/apparmor.d/*.

The error was there again.

So there must be one or more profiles in AppArmor responsible for blocking the update function in whonix-ws-15.

I will try to find out which ones in the near future and report then. Or does anybody have an idea? Thanks for opinions.

[Imprint] [Privacy Policy] [Cookie Policy] [Terms of Use] [E-Sign Consent] [DMCA] [Contributors] [Investors] [Priority Support] [Professional Support]